# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-dajaxice
%global lang_name  python
%global lib_prefix django
%global lib_name   dajaxice

Name:          python-module-django-dajaxice
Version:       0.5.5
Release:       alt1_1
Summary:       Agnostic and easy to use AJAX library for Django

Group:         Development/Python
# 'LGPLv2.1 or later' and 'Public Domain' licenses were found in dajaxice/templates/dajaxice/dajaxice.core.js
License:       BSD with advertising and LGPLv2+ and Public Domain
URL:           http://www.dajaxproject.com/
Source0:       https://github.com/jorgebastida/%{lib_prefix}-%{lib_name}/archive/%{version}.tar.gz
# fill empty __init__.py files with '# empty' comment line
# Sent upstream via email 20120510
# Updated for new release 20130209
Patch0:        python-django-dajaxice-0.5.5-1-empty_files.patch

BuildArch:     noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-setuptools
Source44: import.info


%description
Easy to use AJAX library for Django, all the presentation logic resides outside
the views and doesn't require any JS framework. dajaxice uses the unobtrusive
standard-compliant (W3C) XMLHttpRequest 1.0 object.

%prep
%setup -q -n %{lib_prefix}-%{lib_name}-%{version}
%patch0 -p1


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# remove empty source files and bytecompiled files
find $RPM_BUILD_ROOT -type f -size 0 -name "*.py" -exec rm '{}'{,c,o} \;


%files
%doc COPYING
%{python_sitelibdir_noarch}/%{lib_name}
%{python_sitelibdir_noarch}/%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_1
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_2
- initial fc import

